V1 and V2Product Attribute Groups

Search product attribute groups

POST
/api/v1/attribute-groups/product/search

Filter product attribute groups by multiple criteria

Filter structure and format is described under the Resources section in this guide.

Restrictions

  • Search requests

    • Search filters MUST include all necessary columns. If an attribute is not explicitly requested it won’t be returned by the API. Available attributes can be found later in this section. Requesting non-existing attributes will return a 422 error code. You are allowed to sort by columns not included in the “attributes” field, however, this attribute won’t be returned

Response Format

Endpoint successful responses are wrapped in { data: [ ...] } object as in any other search endpoint. You can read more about response format in the Resources section in this guide.

FieldDescriptionType
idGroup unique identifierstring
nameGroup name usually contains a human-friendly namestring
attribute_labelsArray with attribute labels belonging this group Attributes are not prefixed with "attributes."array of strings
orderPosition of this group in groups sequence using zero-based numbering, so the first group will be ordered starting with 0

Basic Example

1.- Search for all product groups and all fields (a.k.a no-filters) 100 items max.

{     "filters":[],   "attributes":[        "name",      "order",      "attribute_labels"   ],   "pagination":{        "page_size":100,      "page":1,      "order":""   }}

Response

{    "data": [        {            "order": 0,            "name": "Basic Information",            "id": "5d0baf02d4bf5513d19023f3",            "attribute_labels": [                "gtin",                "brand",                "title",                "basic_info_complete"            ]        },        {            "order": 2,            "name": "Rich Information",            "id": "5d0baf02d4bf5513d19023f4",            "attribute_labels": [                "gtin",                "brand",                "title",                "new_images_gallery",                "description",                "feature_description",                "hero_image",                "additional_image_galery",                "video_url",                "suggested_retail_price",                "type",                "product_type",                "color",                "rich_info_complete",                "bathroom_picture",                "collection",                "availability",                "condition"            ]        },        {            "attribute_labels": [                "product_weight_kg",                "product_length_mm",                "product_width_mm",                "product_height_mm",                "packed_product_weight_kg",                "packed_product_length_mm",                "packed_product_width_mm",                "packed_product_height_mm"            ],            "order": 1,            "name": "Dimensions",            "id": "5d0baf02d4bf5513d19023f5"        }    ],    "pagination": {        "count": 3,        "total_count": 3,        "page": 1,        "page_size": 100,        "order": ""    }}

2.- Search for "Rich info complete" group.

{     "filters":[[{"field":"name","operator":"like","value":"RiCh InFo"}]],   "attributes":[        "name",      "order",      "attribute_labels"   ],   "pagination":{        "page_size":25,      "page":1,      "order":""   }}

Response

{  "data": [        {            "order": 2,            "name": "Rich Information",            "id": "5d0baf02d4bf5513d19023f4",            "attribute_labels": [                "gtin",                "brand",                "title",                "new_images_gallery",                "description",                "feature_description",                "hero_image",                "additional_image_galery",                "video_url",                "suggested_retail_price",                "type",                "product_type",                "color",                "rich_info_complete",                "bathroom_picture",                "collection",                "availability",                "condition"            ]        }  ],   "pagination": {    "count": 1,     "order": null,     "page": 1,     "page_size": 25,     "total_count": 3  }}

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST 'https://example.com/api/v1/attribute-groups/product/search' \  -H 'Content-Type: application/json' \  --data-raw '{  "filters": [],  "attributes": [    "name",    "label",    "attribute_labels",    "order"  ],  "pagination": {    "page_size": 100,    "page": 1,    "order": "order"  }}'
Empty